OpenTTD Source: Vehicle::OrderIterator Struct Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Private Attributes
Vehicle::OrderIterator Struct Reference

Iterator to iterate orders Supports deletion of current order. More...

`#include <vehicle_base.h>`

## Public Types
typedef Order | value_type
typedef Order * | pointer
typedef Order & | reference
typedef size_t | difference_type
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
| OrderIterator (OrderList *list)
bool | operator== (const OrderIterator &other) const
bool | operator!= (const OrderIterator &other) const
Order * | operator* () const
OrderIterator & | operator++ ()

## Private Attributes
OrderList * | list
Order * | order
Order * | prev

## Detailed Description

Iterator to iterate orders Supports deletion of current order.

Definition at line 1041 of file vehicle_base.h.

## Member Typedef Documentation

## ◆ difference_type

typedef size_t Vehicle::OrderIterator::difference_type

Definition at line 1045 of file vehicle_base.h.

## ◆ iterator_category

typedef std::forward_iterator_tag Vehicle::OrderIterator::iterator_category

Definition at line 1046 of file vehicle_base.h.

## ◆ pointer

typedef Order* Vehicle::OrderIterator::pointer

Definition at line 1043 of file vehicle_base.h.

## ◆ reference

typedef Order& Vehicle::OrderIterator::reference

Definition at line 1044 of file vehicle_base.h.

## ◆ value_type

typedef Order Vehicle::OrderIterator::value_type

Definition at line 1042 of file vehicle_base.h.

## Constructor & Destructor Documentation

## ◆ OrderIterator()

Vehicle::OrderIterator::OrderIterator | ( | OrderList * | list | ) |
| inlineexplicit

Definition at line 1048 of file vehicle_base.h.

## Member Function Documentation

## ◆ operator!=()

bool Vehicle::OrderIterator::operator!= | ( | const OrderIterator & | other | ) | const
| inline

Definition at line 1054 of file vehicle_base.h.

## ◆ operator*()

Order * Vehicle::OrderIterator::operator* | ( |  | ) | const
| inline

Definition at line 1055 of file vehicle_base.h.

## ◆ operator++()

OrderIterator & Vehicle::OrderIterator::operator++ | ( |  | ) |
| inline

Definition at line 1056 of file vehicle_base.h.

## ◆ operator==()

bool Vehicle::OrderIterator::operator== | ( | const OrderIterator & | other | ) | const
| inline

Definition at line 1053 of file vehicle_base.h.

## Field Documentation

## ◆ list

OrderList* Vehicle::OrderIterator::list
| private

Definition at line 1064 of file vehicle_base.h.

## ◆ order

Order* Vehicle::OrderIterator::order
| private

Definition at line 1065 of file vehicle_base.h.

## ◆ prev

Order* Vehicle::OrderIterator::prev
| private

Definition at line 1066 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h